Bug 1537261 - Replace glibc's libcrypt with libxcrypt
Summary: Replace glibc's libcrypt with libxcrypt
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact:
URL:
Whiteboard: ChangeAcceptedF28,SystemWideChange
Depends On: 1537140 1556132 1556291
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-22 19:08 UTC by Jan Kurik
Modified: 2019-01-28 11:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-02 12:04:13 UTC
Type: ---


Attachments (Terms of Use)

Description Jan Kurik 2018-01-22 19:08:48 UTC
This is a tracking bug for Change: Replace glibc's libcrypt with libxcrypt
For more details, see: https://fedoraproject.org/wiki/Changes/Replace_glibc_libcrypt_with_libxcrypt

There are https://sourceware.org/ml/libc-alpha/2017-08/msg01257.html plans to remove libcrypt from glibc, so we should have a replacement.

Comment 1 Björn 'besser82' Esser 2018-01-24 12:41:31 UTC
`libxcrypt` has been imported and `libcrypt` has been removed from `glibc`.  `libxcrypt` obsoletes the old `libcrypt{,-nss}` packages and is used by all applications, which link against the symbols provided by `libcrypt.so.1`.

Most of the packages linking against `libcrypt.so.1` are rebuilding sucessfully.  Some packages still need to be patched in order to *rebuild* against `libxcrypt` cleanly, but *the present builds* of them *should still work as expected*.

Comment 2 Fedora End Of Life 2018-02-20 15:33:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Jan Kurik 2018-03-06 08:57:56 UTC
On 2018-Mar-08 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 28 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Comment 4 Zbigniew Jędrzejewski-Szmek 2018-03-08 14:44:52 UTC
Björn, can you please provide a status update?

Comment 5 Florian Weimer 2018-03-16 16:00:27 UTC
The core changes are complete, but we have some FTBFS bugs due to the required package porting work.


Note You need to log in before you can comment on or make changes to this bug.